<script>
import { layoutComputed } from "@/state/helper.js";

import Vertical from "./customVertical.vue";
export default {
  name: "MAIN",
  components: {
    Vertical,
  },
  data() {
    return {};
  },
  computed: {
    ...layoutComputed,
  },
  mounted() {
    const dir = localStorage.getItem("dir");
    const validDir = dir === "ltr" || dir === "rtl" ? dir : "rtl";
    document.body.setAttribute("data-pc-direction", validDir);
  },
};
</script>

<template>
  <Vertical v-if="layoutType === 'vertical'">
    <slot />
  </Vertical>
</template>
